> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Patient Select

> To get payment link for selected Open Order with intent - 'PAYMENT_ORDER'



## OpenAPI

````yaml post /abdm/v1/profile/scan-and-pay/patient-select
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/profile/scan-and-pay/patient-select:
    post:
      description: >-
        To get payment link for selected Open Order with intent -
        'PAYMENT_ORDER'
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScanAndPayPatientSelectEkaRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  request_id:
                    type: string
                  status:
                    enum:
                      - REQUESTED_OPEN_ORDER
                      - ' PROCESSING_OPEN_ORDER'
                      - ' REQUESTED_PATIENT_SELECT'
                      - ' PROCESSING_PATIENT_SELECT'
                      - ' PROCESSING_PATIENT_NOTIFY'
                      - ' REQUESTING_PATIENT_NOTIFY'
                      - ' ERROR'
                    examples:
                      - REQUESTED_PATIENT_SELECT
                    type:
                      - 'null'
                      - string
                type: object
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ScanAndPayPatientSelectEkaRequest:
      properties:
        intent:
          type: string
        procedures:
          items:
            $ref: '#/components/schemas/ScanAndPayProcedures'
          type:
            - array
            - 'null'
        request_id:
          type: string
      required:
        - intent
        - request_id
        - procedures
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ScanAndPayProcedures:
      properties:
        category:
          type: string
        services:
          items:
            $ref: '#/components/schemas/ScanAndPayService'
          type:
            - array
            - 'null'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    ScanAndPayService:
      properties:
        amount:
          type: number
        description:
          type: string
        name:
          type: string
        serviceId:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````